Subject: IPP> Using MIME types instead of enumerations for document formats

From: Larry Masinter <[email-masked]>
Date: Wed, 23 Jul 1997 14:12:16 PDT

I asked about the difference between IPP's use of enumeration
for describing document formats vs. IFAX (and other communication
protocols using MIME) and I was told:

>                 we are proposing to use the enums from the
> Printer MIB, which is already on the Internet standards track before IPP,
> using SNMP as protocol, so it is only a matter of which Internet standard
> we align with.  The majority of the people active in the PWG and IPP has
> seen alignment with the Printer MIB and Job Monitoring MIB as more
> important than with MIME, which has led to the current proposal. 

However, I believe alignment isn't made for philosophical or religious
or affinity or historical reasons, it's made for engineering reasons.

The MIBs for printers and job monitoring are used for monitoring the
status and network failure of devices. However, IPP is not used 
primarily for monitoring, it's used for communication. MIME and
Internet Media Types are used for communicating the types of messages
used in communication, and seem like they're more appropriate to the
intent of IPP, which is to communicate a printable job from a client
to a printer.

Having yet another registry of document formats just for printing
doesn't seem like a great idea. Is this decision irrevokable?

Larry